package com.bzd.system.service.kc.crk;

import com.bzd.common.config.dao.DaoBase;
import com.bzd.common.config.dao.DaoSupport;
import com.bzd.common.config.dao.PageData;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import javax.annotation.Resource;
import java.util.List;


/**
*
* 出库表 service
* @author LiXiangFei
* @since 2024-10-14
*/

@Service
public class SKcCrkOutinfoService {

    @Autowired
    private DaoBase dao;

    @Resource(name = "daoSupport")
    private DaoSupport daoSupport;

    public Integer addSKcCrkOutinfo(PageData pd)throws Exception {
        return daoSupport.update("SKcCrkOutinfoMapper.addSKcCrkOutinfo", pd);
    }

    public List<PageData> findSKcCrkOutinfoList(PageData pd) throws Exception{
        return (List<PageData>) daoSupport.findForList("SKcCrkOutinfoMapper.selectSKcCrkOutinfoList", pd);
    }

    public Integer SKcCrkOutinfoRemove(PageData pd)throws Exception {
        return daoSupport.delete("SKcCrkOutinfoMapper.SKcCrkOutinfoRemove", pd);
    }


    public Integer updateSKcCrkOutinfo(PageData pd)throws Exception {
        return daoSupport.update("SKcCrkOutinfoMapper.updateSKcCrkOutinfo", pd);
    }

}
